.fullScreenDialog{
	position:fixed;
	top:0px;
	left:0px;
	width:100vw;
	height:var(--appHeight);
	display:none;
}

.avatarSizeBox{
	width:calc(.5 * var(--appHeight));
	height:calc(.5 * var(--appHeight));
	padding:3vh;
	
}

.avatarPlacementMask{
	border:solid 1px #ffffff;
	overflow:hidden;
	cursor:grab;
}

.avatarPlacementMaskDimensions{
	width:calc(.3 * var(--appHeight));
	height:calc(.3 * var(--appHeight));
	
}

.avatarPlacementContainerDimensions{
	
	width:calc(.4 * var(--appHeight));
	height:calc(.4 * var(--appHeight));
}


.avatarSliderDimensions{
	height:calc(.7 * var(--appHeight));
}

.avatarMask{
	border:solid 1px #ffffff;
	overflow:hidden;
}

.avatarContainerDimensions{
	width:10vh;
	height:10vh;
}

.dashboardAvatarContainerDimensions{
	width:calc(
			var(--avatarWidth) 
			* calc(
				.4 
				* var(--appHeight)
			)
		);
	height:calc(
			var(--avatarHeight) 
			* calc(
				.4 
				* var(--appHeight)
			)
		);
	left:calc(
			calc(
				var(--avatarLeft) 
				* calc(
					.3 
					* var(--appHeight)
				)
			) 
			+ calc(
				calc(
					.3 
					* var(--appHeight)
				) 
				/ 2
			)
		);
	top:calc(
			calc(
				var(--avatarTop) 
				* calc(
					.3 
					* var(--appHeight)
				)
			) 
			+ calc(
				calc(
					.3 
					* var(--appHeight)
				) 
				/ 2
			)
		);
}

.uploadAvatarPositioner{
	right:-16vw;
	bottom:1vh;
	width:28vw;
}

.changeAvatarPositioner{
	position:relative;
	right:calc(-.1 * var(--appHeight));
	bottom:1vh;
	width:8vw;
}

.uploadAvatarButton{
	-webkit-text-stroke: .07vw black;
	font-size: calc(.6vw + 1.25vh);
	border: solid 1px black;
	width:28vw;
	letter-spacing: .25vw;
	position:relative;
}



@media screen and (min-aspect-ratio: 1/1){
	/* wider mobile and desktop/laptop style adjustments */

	.avatarSizeBox{
		width:76vh;
		height:76vh;
		padding:7vh;
	}
	
	.avatarPlacementMaskDimensions{
		width:50vh;
		height:50vh;
	}
	
	.avatarPlacementContainerDimensions{
		width:60vh;
		height:60vh;
	}
	
	.avatarSliderDimensions{
		height:76vh;
	}
	
	.uploadAvatarPositioner{
		width:14vw;
		right:-12vw;
	}
	
	.changeAvatarPositioner{
		right: calc(-.15 * var(--appHeight));
	}
	
	.uploadAvatarButton{
		width:14vw;
		cursor:pointer;
	}

}